summaryrefslogtreecommitdiffstats
path: root/source/a/jfsutils
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/a/jfsutils
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/a/jfsutils')
-rwxr-xr-xsource/a/jfsutils/jfsutils.SlackBuild31
-rw-r--r--source/a/jfsutils/slack-desc18
2 files changed, 30 insertions, 19 deletions
diff --git a/source/a/jfsutils/jfsutils.SlackBuild b/source/a/jfsutils/jfsutils.SlackBuild
index 1795e9703..1c9496d8a 100755
--- a/source/a/jfsutils/jfsutils.SlackBuild
+++ b/source/a/jfsutils/jfsutils.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,27 +20,35 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=jfsutils
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-jfsutils
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
@@ -52,7 +60,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf jfsutils-$VERSION
tar xvf $CWD/jfsutils-$VERSION.tar.?z* || exit 1
-cd jfsutils-$VERSION
+cd jfsutils-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -60,13 +68,16 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix build with recent glibc:
+sed "s@<unistd.h>@&\n#include <sys/types.h>@g" -i fscklog/extract.c
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--disable-dependency-tracking \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
-make
+make || exit 1
mkdir -p $PKG/sbin
cat fsck/jfs_fsck > $PKG/sbin/jfs_fsck
diff --git a/source/a/jfsutils/slack-desc b/source/a/jfsutils/slack-desc
index d9c52dd2b..2ef80cf9e 100644
--- a/source/a/jfsutils/slack-desc
+++ b/source/a/jfsutils/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
jfsutils: jfsutils (IBM JFS utilities)
jfsutils:
jfsutils: Utilities for managing IBM's Journaled File System (JFS) under Linux:
-jfsutils: jfs_debugfs - shell-type JFS file system editor.
-jfsutils: jfs_fsck - check and repair a JFS formatted device.
-jfsutils: jfs_fscklog - extract a JFS fsck service log into a file.
-jfsutils: jfs_logdump - dump a JFS formatted device's journal log.
-jfsutils: jfs_mkfs - create a JFS formatted partition.
-jfsutils: jfs_tune - adjust tunable file system parameters on JFS.
+jfsutils: jfs_debugfs - shell-type JFS file system editor.
+jfsutils: jfs_fsck - check and repair a JFS formatted device.
+jfsutils: jfs_fscklog - extract a JFS fsck service log into a file.
+jfsutils: jfs_logdump - dump a JFS formatted device's journal log.
+jfsutils: jfs_mkfs - create a JFS formatted partition.
+jfsutils: jfs_tune - adjust tunable file system parameters on JFS.
jfsutils:
jfsutils: